import bowser from 'bowser';
export var LEGITIMATE_CRAWLER_USER_AGENTS = ['googlebot', 'google-structured-data-testing-tool', 'bingbot', 'linkedinbot', 'mediapartners-google', 'debugbear'];
export var stats = function stats(userAgent) {
  var ua = bowser.parse(userAgent);
  return {
    isMobile: ua.platform.type === bowser.PLATFORMS_MAP.mobile,
    osName: ua.os.name,
    browserName: ua.browser.name,
    browserVersion: ua.browser.version,
    isTablet: ua.platform.type === bowser.PLATFORMS_MAP.tablet
  };
};
export var checkLegitimateCrawler = function checkLegitimateCrawler(userAgent, crawlerUserAgents) {
  var lowerCaseUserAgent = userAgent.toLowerCase();
  var crawlerUserAgentsList = crawlerUserAgents || LEGITIMATE_CRAWLER_USER_AGENTS;
  return crawlerUserAgentsList.some(function (ua) {
    return lowerCaseUserAgent.includes(ua);
  });
};